### Method

# Gdk Dropread_async

#### Declaration [src]

    void
    gdk_drop_read_async (
      GdkDrop* self,
      const char** mime_types,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously read the dropped data from a `GdkDrop` in a format that complies with one of the mime types.

#### Parameters

`mime_types`

  Type: An array of `utf8`

  pointer to an array of mime types.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  The I/O priority for the read operation.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.